Package com.collibra.dgc.core.api.dto.meta.domaintype

# Class ChangeDomainTypeRequest

Object
ChangeDomainTypeRequest

All Implemented Interfaces:
  `Serializable`

public class ChangeDomainTypeRequest extends Object implements Serializable
The properties of the Domain Type to be changed.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `ChangeDomainTypeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChangeDomainTypeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChangeDomainTypeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `String`
  `getDescription()`
  The new description for the Domain Type.
  `UUID`
  `getId()`
  Required. The ID of the Domain Type to be changed.
  `String`
  `getName()`
  The new name for the Domain Type.
  `UUID`
  `getParentId()`
  The ID of the new parent for the Domain Type.
  `String`
  `getPublicId()`
  The new public id for the Domain Type.
  `int`
  `hashCode()`
  `void`
  `setDescription(String description)`
  The new description for the Domain Type.
  `void`
  `setId(UUID id)`
  Required. The ID of the Domain Type to be changed.
  `void`
  `setName(String name)`
  The new name for the Domain Type.
  `void`
  `setParentId(UUID parentId)`
  The ID of the new parent for the Domain Type.
  `void`
  `setPublicId(String publicId)`
  The new public id for the Domain Type.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ChangeDomainTypeRequest

    public ChangeDomainTypeRequest()

- ## Method Details

  - ### builder

    public static ChangeDomainTypeRequest.Builder builder()

  - ### getId

    public UUID getId()
    Required. The ID of the Domain Type to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### getPublicId

    public String getPublicId()
    The new public id for the Domain Type.

    It must be unique within all Domain Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### getName

    public String getName()
    The new name for the Domain Type.

  - ### getDescription

    public String getDescription()
    The new description for the Domain Type.

  - ### getParentId

    public UUID getParentId()
    The ID of the new parent for the Domain Type.

  - ### setId

    public void setId(UUID id)
    Required. The ID of the Domain Type to be changed. Silently ignored if the ID is provided as path parameter of the request.

  - ### setPublicId

    public void setPublicId(String publicId)
    The new public id for the Domain Type.

    It must be unique within all Domain Types. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C".

    WARNING : The public id should only be changed with extreme caution, since it can break existing customizations. The only valid use case is to change it after creation of the type, if no public id was specified, and the generated proposal is not acceptable.

  - ### setName

    public void setName(String name)
    The new name for the Domain Type.

  - ### setDescription

    public void setDescription(String description)
    The new description for the Domain Type.

  - ### setParentId

    public void setParentId(UUID parentId)
    The ID of the new parent for the Domain Type.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`